use std::path::Path;
use std::io::Result;

pub fn read<P: AsRef<Path>>(path: P) -> Result<Vec<u8>> {
    std::fs::read(path)
}

pub fn write<P: AsRef<Path>, C: AsRef<[u8]>>(
    path: P,
    contents: C,
) -> std::io::Result<()> {
    std::fs::write(path, contents)
}
